net.corda.contracts.testing

## Class MoveGenerator

- net.corda.contracts.testing.MoveGenerator

-     public class MoveGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MoveGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Commands.Move` | `generate(com.pholser.junit.quickcheck.random.SourceOfRandomness random, com.pholser.junit.quickcheck.generator.GenerationStatus status)`

- - ### Constructor Detail

    - #### MoveGenerator

          public MoveGenerator()

  - ### Method Detail

    - #### generate

          public Commands.Move generate(com.pholser.junit.quickcheck.random.SourceOfRandomness random,
                                        com.pholser.junit.quickcheck.generator.GenerationStatus status)